Bug 127319 - support getting caps info on package change xmlrpc calls
Summary: support getting caps info on package change xmlrpc calls
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend   
(Show other bugs)
Version: rhn350
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 127316
TreeView+ depends on / blocked
 
Reported: 2004-07-06 17:07 UTC by Adrian Likins
Modified: 2008-04-21 15:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 15:40:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adrian Likins 2004-07-06 17:07:14 UTC
It would be handy to have 

registration.delete_packages
registration.add_packages
registration.update_packages

allow for client  capability info to get sent to the
server and stored.

This would allow up2date to automatically update its
client side caps list when a new package that registers
a cap is installed via up2date instantly. 

see 127316

Comment 1 Mihai Ibanescu 2004-07-13 14:52:59 UTC
Done.

Test:
python rhn/backend/server/test/unit-test/test_capabilities.py

It will test against devel by default.
If you want to test against QA, add 2 extra arguments on the command line:

rhn.webqa.redhat.com rhnuser/rhnuser@webqa


Note You need to log in before you can comment on or make changes to this bug.